Description

In TypoScript, very often lines like the following are used:

foo = Text
foo {
  ...
}

foo < bar
foo {
  ...
}

We propose a "Condensed Confinements" syntax, so one can write instead:

foo = Text {
  ...
}

foo < bar {
  ...
}

Associated revisions
Revision d5bb5a2e - 2012-08-03 08:01 - Sebastian Kurfuerst

[FEATURE] Support "condensed confinements" to reduce typing overhead

With this change, we extend TypoScript confinements such that they can happen
at the end of an assignment line.

Example before:

foo = Text
foo {
  ...
}

foo < bar
foo {
  ...
}

Example now: (the old syntax is of course still valid)

foo = Text {
  ...
}

foo < bar {
  ...
}

Resolves: #39498
Change-Id: I9a9aa44743cf76f4a1f7457351fb8986d20ccb14

History
#1 - 2012-08-03 07:41 - Sebastian Kurfuerst
- Status changed from New to Accepted
- Assigned To set to Sebastian Kurfuerst
- Target version set to Sprint 10 (1.0 TP1)

#2 - 2012-08-03 08:01 - Gerrit Code Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/13432

#3 - 2012-08-03 08:03 - Sebastian Kurfuerst
- Status changed from Accepted to Under Review

#4 - 2012-08-07 12:35 - Sebastian Kurfuerst
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:d5bb5a2e8c29441ef54d1cfba9b78bd3b5f45785.
